import store from './store'; // import { reportCmPV_YL } from '../../components/utils/cloudMonitorHelper';
// const pageConfig = [
//   { pageType: 'choose-a-doctor', title: '预约挂号' },
//   { pageType: 'select-number-source', title: '预约挂号' },
//   { pageType: 'select-card', title: '预约挂号' },
//   { pageType: 'booking-info', title: '预约挂号' },
//   { pageType: 'booking-success', title: '预约挂号' },
//   { pageType: 'payment-details', title: '诊间缴费' },
//   { pageType: 'settlement-details', title: '诊间缴费' },
//   { pageType: 'payment-result', title: '诊间缴费' },
//   { pageType: 'recharge-page', title: '在线充值' },
//   { pageType: 'recharge-result', title: '在线充值' },
//   { pageType: 'card-detail', title: '就诊卡管理' },
//   { pageType: 'card-delete-result', title: '就诊卡管理' },
//   { pageType: 'card-form', title: '就诊卡管理' },
//   { pageType: 'card-bind-result', title: '就诊卡管理' },
//   { pageType: 'card-created-result', title: '就诊卡管理' },
// ];
// const point = (query) => {
//   const { pageType } = query;
//   const { title } = pageConfig.find(item => item.pageType === pageType) || {};
//   reportCmPV_YL({ title, query });
// };

Page(store.register({
  data: {
    pageType: undefined,
    data: undefined
  },

  onLoad(query) {
    const {
      pageType
    } = query;
    const data = getApp().globalData.pageTemp[pageType];
    this.setData({
      pageType,
      data
    }); // 只需要服务首页上报，注释掉组件内部的调用
    // point(query);
  },

  onUnload() {
    Reflect.deleteProperty(getApp().globalData.pageTemp, this.data.pageType);
  },

  onShow() {},

  onReachBottom() {},

  onShareAppMessage() {
    const {
      pageType
    } = this.data;
    return {
      title: this.data.pageName || '',
      path: `${this.route}?pageType=${pageType}`
    };
  }

}));